Globalization in EJ2 JavaScript Calendar

4 Sep 202614 minutes to read

Globalization is the combination of adapting the component to various languages by means of parsing and formatting the date or number, known as Internationalization, and also by adding cultural specific customizations and translating the text, known as Localization.

By default, the Calendar date format, week, and month names are specific to American English culture. It uses the Essential® JavaScript 2 Internationalization package to parse and format date object based on the culture using the official UNICODE CLDR JSON data. It provides the loadCldr method to load the culture-specific CLDR JSON data.

All the Essential® JS 2 components are specific to the English culture (‘en-US’). To work with a different culture other than English, follow the below steps.

  • Install the CLDR-Data package by using the below command (installs the CLDR JSON data). To know more about CLDR data, refer to the CLDR-Data link.
npm install cldr-data --save

Once the package is installed, the culture-specific JSON data will be available in /node_modules/cldr-data.

  • Now, import the installed CLDR JSON data to the app.ts file. To import JSON data, install the JSON plugin loader. In this example, the SystemJS JSON plugin loader is used.
npm install systemjs-plugin-json --save-dev
  • After it is installed, configure the system.config.js settings as given below to map the systemjs-plugin-json loader.
System.config({
    paths: {
        'npm:': './node_modules/',
        'syncfusion:': 'npm:@syncfusion/'

    },
    map: {
        app: 'app',

        //Syncfusion packages mapping
        "@syncfusion/ej2-base": "syncfusion:ej2-base/dist/ej2-base.umd.min.js",
        "@syncfusion/ej2-data": "syncfusion:ej2-data/dist/ej2-data.umd.min.js",
        "@syncfusion/ej2-inputs": "syncfusion:ej2-inputs/dist/ej2-inputs.umd.min.js",
        "@syncfusion/ej2-buttons": "syncfusion:ej2-buttons/dist/ej2-buttons.umd.min.js",
        "@syncfusion/ej2-splitbuttons": "syncfusion:ej2-splitbuttons/dist/ej2-splitbuttons.umd.min.js",
        "@syncfusion/ej2-lists": "syncfusion:ej2-lists/dist/ej2-lists.umd.min.js",
        "@syncfusion/ej2-popups": "syncfusion:ej2-popups/dist/ej2-popups.umd.min.js",
        "@syncfusion/ej2-calendars": "syncfusion:ej2-calendars/dist/ej2-calendars.umd.min.js",
        "cldr-data": 'npm:cldr-data',
        //systemjs-plugin-json loader package mapping
        "plugin-json": "npm:systemjs-plugin-json/json.js"
    },
    meta: {
        '*.json': { loader: 'plugin-json' }
    },
    packages: {
        'app': { main: 'app', defaultExtension: 'js' },
        'cldr-data': { main: 'index.js', defaultExtension: 'js' }
    }
});

System.import('app');
  • Now, use the loadCldr method to load the culture-specific CLDR JSON data from the installed location to app.ts file.

  • Calendar displays Sunday as the first day of the week based on the default culture (“en-US”). To display the Calendar with the loaded culture’s first day of the week, import the weekdata.json file from cldr-data/supplemental as given in the code example.

//import the loadCldr from ej2-base
import { loadCldr } from '@syncfusion/ej2-base';

declare var require: any;

loadCldr(
    require('cldr-data/supplemental/numberingSystems.json'),
    require('cldr-data/main/de/ca-gregorian.json'),
    require('cldr-data/main/de/numbers.json'),
    require('cldr-data/main/de/timeZoneNames.json'),
    require('cldr-data/supplemental/weekdata.json')); // To load the culture based first day of week

The Localization library allows you to localize default text content of the Calendar. The Calendar component has static text for today feature that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the locale value and translation object.

Locale keywords Text
today Name of the button to choose Today date.
  • Before changing the culture other than English, ensure that locale text for the concerned culture is loaded through load method of
    L10n class.
//Load the L10n from ej2-base
import { L10n } from '@syncfusion/ej2-base';

//load the locale object to set the localized placeholder value
L10n.load({
    'de': {
        'calendar': { today: 'heute'}
    }
});
  • Set the culture by using the locale property. The code example initializes the Calendar component in the German culture.
import { Calendar } from '@syncfusion/ej2-calendars';
//import the loadCldr from ej2-base
import { loadCldr, L10n } from '@syncfusion/ej2-base';

declare var require: any;

loadCldr(
    require('cldr-data/supplemental/numberingSystems.json'),
    require('cldr-data/main/de/ca-gregorian.json'),
    require('cldr-data/main/de/numbers.json'),
    require('cldr-data/main/de/timeZoneNames.json'));

L10n.load({
    'de': {
        'calendar': { today: 'heute' }
    }
});

let calendarObject: Calendar = new Calendar({
    //sets the locale.
    locale: 'de'
});
calendarObject.appendTo('#element');

The following example displays the Calendar in German culture.

ej.base.enableRipple(true);
var L10n = ej.base.L10n;
   L10n.load({
    'de': {
        'calendar': { today:'heute'}
    }
  });
     loadCultureFiles('de');
      var calendar = new ej.calendars.Calendar({
       locale: 'de'
    });
    calendar.appendTo('#element');

  function loadCultureFiles(name) {
        var files = ['ca-gregorian.json', 'numbers.json', 'timeZoneNames.json'];
        var loader = ej.base.loadCldr;
        var loadCulture = function (prop) {
            var val, ajax;
            ajax = new ej.base.Ajax('https://ej2.syncfusion.com/javascript/demos/' + 'src/common/cldr-data/main/' + name + '/' + files[prop], 'GET', false);
            ajax.onSuccess = function (value) {
                val = value;
            };
            ajax.send();
            loader(JSON.parse(val));
        };
        for (var prop = 0; prop < files.length; prop++) {
            loadCulture(prop);
        }
    }
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Calendar control</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <!--style reference from the Calendar component-->
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-calendars/styles/material.css" rel="stylesheet">
    <!--style reference from app-->
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <!--element which is going to render the Calendar-->
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Right-to-left

The Calendar supports right-to-left functionality for languages like Arabic, Hebrew, etc. to display text in the right-to-left direction. Use the
enableRtl property to set the RTL direction.

The following code example initializes the Calendar component in Arabic culture.

import { Calendar } from '@syncfusion/ej2-calendars';
//import the loadCldr from ej2-base
import { loadCldr, L10n } from '@syncfusion/ej2-base';

declare var require: any;

loadCldr(
    require('cldr-data/supplemental/numberingSystems.json'),
    require('cldr-data/main/ar/ca-gregorian.json'),
    require('cldr-data/main/ar/numbers.json'),
    require('cldr-data/main/ar/timeZoneNames.json'));

L10n.load({
    'ar': {
        'calendar': {
            today: 'اليوم'
        }
    }

});

let calendarObject: Calendar = new Calendar({
    //sets the locale.
    locale: 'ar'
});
calendarObject.appendTo('#element');

The following example displays the Calendar in Arabic culture in the right-to-left direction.

ej.base.enableRipple(true);
var L10n = ej.base.L10n;
L10n.load({
    'ar': {
        'calendar': { today: 'اليوم'}
    }
  });

loadCultureFiles('ar');
   var calendar = new ej.calendars.Calendar({
       locale: 'ar',enableRtl:true
    });
    calendar.appendTo('#element');
 
function loadCultureFiles(name) {
        var files = ['ca-gregorian.json', 'numbers.json', 'timeZoneNames.json'];
        if (name === 'ar') {
            files.push('numberingSystems.json');
        }
        var loader = ej.base.loadCldr;
        var loadCulture = function (prop) {
            var val, ajax;
            if (name === 'ar' && prop === files.length - 1) {
                ajax = new ej.base.Ajax('https://ej2.syncfusion.com/javascript/demos/src/common/cldr-data/supplemental/' + files[prop], 'GET', false);
            } else {
                ajax = new ej.base.Ajax('https://ej2.syncfusion.com/javascript/demos/src/common/cldr-data/main/' + name + '/' + files[prop], 'GET', false);
            }
            ajax.onSuccess = function (value) {
                val = value;
            };
            ajax.send();
            loader(JSON.parse(val));
        };
        for (var prop = 0; prop < files.length; prop++) {
            loadCulture(prop);
        }
    }
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Calendar control</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <!--style reference from the Calendar component-->
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-calendars/styles/material.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <!--element which is going to render the Calendar-->
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Globalization in Angular Calendar

31 Aug 20268 minutes to read

Globalization is the combination of internationalization and localization. You can adapt the component to various languages by parsing and formatting the date or number using the Internationalization library, and also add culture-specific customization and translation to the text using the Localization library.

By default, the Calendar date format, week, and month names are specific to the American English culture. It uses the Essential® JavaScript 2 Internationalization package to parse and format the date object based on the culture by using the official UNICODE CLDR JSON data, and also provides the loadCldr method to load the culture-specific CLDR JSON data.

To use a culture other than English, follow the below steps. Replace de in the code with your culture code.

  1. Install the CLDR-Data package by using the below command (it installs the CLDR JSON data). To know more about CLDR-Data, refer the CLDR-Data link.

    npm install cldr-data --save
    

    Once the package is installed, you can find the culture-specific JSON data under the location /node_modules/cldr-data.

  2. Import the installed CLDR JSON data into the app.component.ts file, and use the loadCldr method to load the culture-specific CLDR JSON data from the installed location into the app.component.ts file.

    By default, the Calendar displays Sunday as the first day of the week based on the default culture (“en-US”). If you want to display the Calendar with the loaded culture’s first day of week, import the weekdata.json file from cldr-data/supplemental as given in the code example.

    // import the loadCldr from ej2-base
    import { loadCldr } from '@syncfusion/ej2-base';
    
    declare var require: any;
    
    loadCldr(
        require('cldr-data/supplemental/numberingSystems.json'),
        require('cldr-data/main/de/ca-gregorian.json'),
        require('cldr-data/main/de/numbers.json'),
        require('cldr-data/main/de/timeZoneNames.json'),
        require('cldr-data/supplemental/weekdata.json')); // To load the culture-based first day of week

Localization

The Localization library allows you to localize default text content of the Calendar. The Calendar component has static text for the today feature that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the locale value and translation object.

The following table lists the locale keys (L10n keys) supported by the Calendar component. For the Calendar, today is the only localizable string.

Locale key Text
today Name of the button to choose the Today date.

Before changing to a culture other than English, ensure that the locale text for the concerned culture is loaded through the load method of the L10n class.

//Load the L10n, loadCldr from ej2-base
import { loadCldr, L10n } from "@syncfusion/ej2-base";

//load the locale object to set the localized today value
L10n.load({
  de: {
    calendar: {
      today: "heute"
    }
  }
});

Set the culture by using the locale property. The below code example initializes the Calendar component in German culture. Note that weekdata.json is required only when you want to render the culture-specific first day of week; it is omitted here for brevity.

import { Component } from '@angular/core';
// import the loadCldr from ej2-base
import { loadCldr, L10n } from '@syncfusion/ej2-base';

declare var require: any;

loadCldr(
    require('cldr-data/supplemental/numberingSystems.json'),
    require('cldr-data/main/de/ca-gregorian.json'),
    require('cldr-data/main/de/numbers.json'),
    require('cldr-data/main/de/timeZoneNames.json')
    );
@Component({
    selector: 'app-root',
    template: `
    <!-- Sets the value, locale -->
    <ejs-calendar [value]='dateValue' locale='de'></ejs-calendar>`
})

export class AppComponent {
    public dateValue: Object = new Date();
    ngOnInit(): void {
    /*loads the localization text*/
    L10n.load({
      'de': {
        'calendar': {
          today: "heute"
        }
      }
    });
  }
    constructor() {
    }
}

The following example demonstrates the Calendar in German culture.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CalendarModule } from '@syncfusion/ej2-angular-calendars'




import { Component } from '@angular/core';
import { loadCldr, L10n } from '@syncfusion/ej2-base';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';

loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

@Component({
imports: [
        
        CalendarModule //declaration of ej2-angular-calendars module into NgModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
    <!-- Sets the value, locale -->
    <ejs-calendar [value]='dateValue' locale='de'></ejs-calendar>`
})

export class AppComponent {
   public dateValue: Object = new Date();
    ngOnInit(): void {
    /*loads the localization text*/
    L10n.load({
      'de': {
        'calendar': {
           today:"heute"
        }
      }
    });
  }
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Right-To-Left

The Calendar supports right-to-left functionality for languages like Arabic and Hebrew to display the text in the right-to-left direction. Use the enableRtl property to set the RTL direction. For RTL cultures such as Arabic, you must also load the appropriate main CLDR files (e.g., cldr-data/main/ar/*) using loadCldr in addition to setting enableRtl.

The following example demonstrates the Calendar in Arabic culture with the enableRtl property.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CalendarModule } from '@syncfusion/ej2-angular-calendars'




import { Component } from '@angular/core';
import { loadCldr, L10n} from '@syncfusion/ej2-base';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';

loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

@Component({
imports: [
        
        CalendarModule //declaration of ej2-angular-calendars module into NgModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
         <!-- Sets the value, locale,enableRtl -->
        <ejs-calendar [value]='dateValue' locale='ar' enableRtl='true'></ejs-calendar>
        `
})

export class AppComponent {
   public dateValue: Object = new Date();
    ngOnInit(): void {
       L10n.load({
        'ar': {
          'calendar': { today: "اليوم"}
        }
      });
    }
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Globalization is the combination of internalization and localization. You can adapt the component to various languages by parsing and formatting the date or number (Internationalization), and also add culture specific customization and translation to the text (localization).
By default, Calendar date format, week and month names are specific to
American English culture. It utilizes the
Essential JavaScript 2 Internationalization
package to parse and format the date object based on the culture by using the official UNICODE CLDR
JSON data and also it provides the
loadCldr
method
to load the culture specific CLDR JSON data.
To go with the different culture other than English
, follow the below steps.
CLDR-Data
package by using the below command (it installs the CLDR JSON data). To
know more about CLDR-Data refer the
CLDR-Data
link.npm install cldr-data --save
Once the package installed, you can find the culture
specific JSON data under the location \node_modules\cldr-data
.
app.ts
file.loadCldr
method
to load the culture specific CLDR JSON data
from the installed location to app.ts
file.Sunday
as the first day of week based on default culture (“en-US”). If you want to display the Calendar with loaded culture’s first day of week, you need to import weekdata.json
file from the cldr-data/suppemental
as given in the code example.//import the loadCldr from ej2-base
import { loadCldr} from '@syncfusion/ej2-base';
import * as gregorian from 'cldr-data/main/de/ca-gregorian.json';
import * as numbers from 'cldr-data/main/de/numbers.json';
import * as timeZoneNames from 'cldr-data/main/de/timeZoneNames.json';
import * as numberingSystems from 'cldr-data/supplemental/numberingSystems.json';
import * as weekData from 'cldr-data/supplemental/weekData.json';// To load the culture based first day of week
loadCldr(numberingSystems, gregorian, numbers, timeZoneNames, weekData);
if you are facing the error
/node_modules/cldr-data/main/de/*.json (1,1): unused expression, expected an assignment or function call
when you are adding the json files to render the culture sample, then add the below configuration in yourtslint.json
file
"linterOptions": {
"exclude": [
"*.json",
"**/*.json"
]
}
The
Localization
library allows you to localize default text content of the Calendar. The Calendar component has static text for today feature that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining thelocale
value and translation object.
Locale keywords | Text |
---|---|
today | Name of the button to choose Today date. |
English
, ensure that locale text for the concerned culture is loaded through load
method of
L10n
class.//Load the L10n, loadCldr from ej2-base
import { L10n } from "@syncfusion/ej2-base";
//load the locale object to set the localized placeholder value
L10n.load({
'de': {
'calendar': { today:'heute' }
}
});
locale
property.The following example demonstrates the Calendar in German
culture.
import * as React from "react";
import * as ReactDOM from "react-dom";
//import the calendarcomponent
import { CalendarComponent} from '@syncfusion/ej2-react-calendars';
import { loadCldr,L10n } from '@syncfusion/ej2-base';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';
loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);
L10n.load({
'de': {
'calendar': { today: 'heute' }
}
});
class App extends React.Component<{}, {}> {
render() {
return <CalendarComponent id="calendar" locale='de' />
}
};
ReactDOM.render(<App />, document.getElementById('element'));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Syncfusion React Calendar</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Essential JS 2 for React Components" />
<meta name="author" content="Syncfusion" />
<link href="//cdn.syncfusion.com/ej2/ej2-base/styles/material.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/ej2-react-buttons/styles/material.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/ej2-react-calendars/styles/material.css" rel="stylesheet" />
<link href="styles.css" rel="stylesheet" />
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
</head>
<body>
<div id='element'>
<div id='loader'>Loading....</div>
</div>
</body>
</html>
The Calendar supports right-to-left functionality for languages like Arabic, Hebrew, etc. To display text in the right-to-left direction.
Use enableRtl
property.
The following example demonstrates the Calendar in Arabic
culture with Right-To-Left direction.
import * as React from "react";
import * as ReactDOM from "react-dom";
//import the calendarcomponent
import { CalendarComponent} from '@syncfusion/ej2-react-calendars';
import { loadCldr,L10n } from '@syncfusion/ej2-base';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';
loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);
L10n.load({
'ar': {
'calendar': {
today: "اليوم"
}
}
});
class App extends React.Component<{}, {}> {
render() {
return <CalendarComponent id="calendar" locale='ar' enableRtl={true} />
}
};
ReactDOM.render(<App />, document.getElementById('element'));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Syncfusion React Calendar</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Essential JS 2 for React Components" />
<meta name="author" content="Syncfusion" />
<link href="//cdn.syncfusion.com/ej2/ej2-base/styles/material.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/ej2-react-buttons/styles/material.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/ej2-react-calendars/styles/material.css" rel="stylesheet" />
<link href="styles.css" rel="stylesheet" />
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
</head>
<body>
<div id='element'>
<div id='loader'>Loading....</div>
</div>
</body>
</html>

Globalization in Vue Calendar

21 Aug 20268 minutes to read

Globalization is the combination of internationalization and localization. You can adapt the component to various languages by parsing and formatting the date or number Internationalization, and also add culture specific customization and translation to the text (localization).

By default, the Calendar date format, week, and month names are specific to American English culture. It uses the Essential® JavaScript 2 Internationalization package to parse and format date object based on the culture using the official UNICODE CLDR JSON data. It provides the loadCldr method to load the culture-specific CLDR JSON data.

The Calendar component supports only the Gregorian type of calendar. All the Essential® JS 2 component are specific to English culture (‘en-US’).
If you want to go with the different culture other than English, follow the below steps.

  • Install the CLDR-Data package by using the below command (installs the CLDR JSON data).

To know more about CLDR data, refer to the CLDR-Data link.

npm install cldr-data --save

Once the package installed, you can find the culture specific JSON data under the location /node_modules/cldr-data.

  • Now use the loadCldrmethod to load the culture specific CLDR JSON data from the installed location to app.vue file.

  • Calendar displayed Sunday as the first day of week based on default culture (“en-US”). If you want to display the Calendar with loaded culture’s first day of week, you need to import weekdata.json file from the cldr-data/suppemental as given in the code example.

//Load the loadCldr from ej2-base
import { loadCldr } from '@syncfusion/ej2-base';

import * as numberingSystems from 'cldr-data/supplemental/numberingSystems.json';
import * as gregorian from 'cldr-data/main/de/ca-gregorian.json';
import * as numbers from 'cldr-data/main/de/numbers.json';
import * as timeZoneNames from 'cldr-data/main/de/timeZoneNames.json';
import * as weekData from 'cldr-data/supplemental/weekdata.json';// To load the culture based first day of week

loadCldr(numberingSystems, gregorian, numbers, timeZoneNames, weekData);

The Localization library allows you to localize default text content of the Calendar. The Calendar component has static text for today feature that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the locale value and translation object.

Locale keywords Text
today Name of the button to choose Today date.
  • Before changing the culture other than English, ensure that locale text for the concerned culture is loaded through load method of
    L10n class.
//Load the L10n from ej2-base
import { L10n } from '@syncfusion/ej2-base';

//load the locale object to set the localized today value
L10n.load({
    'de': {
        'calendar': { today: 'heute' }
    }
});
  • Set the culture by using the locale property.

The following example demonstrates the Calendar in German culture

<template>
  <div id="app">
    <div class='wrap'>
      <ejs-calendar id='calendar' locale='de'></ejs-calendar>
    </div>
  </div>
</template>
<script setup>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { CalendarComponent as EjsCalendar } from "@syncfusion/ej2-vue-calendars";
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';


loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
  'de': {
    'calendar': { today: 'heute' }
  }
});

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrap {
  margin: 0px auto;
  width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-calendar id='calendar' locale='de'></ejs-calendar>
    </div>
  </div>
</template>
<script>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { CalendarComponent } from "@syncfusion/ej2-vue-calendars";
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';


loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
  'de': {
    'calendar': { today: 'heute' }
  }
});
export default {
  name: "App",
  components: {
    "ejs-calendar": CalendarComponent
  },
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrap {
  margin: 0px auto;
  width: 240px;
}
</style>

Right-to-Left

The Calendar supports right-to-left functionality for languages like Arabic, Hebrew, etc. To display text in the right-to-left direction, use
enableRtl property.

The following code example initializes the Calendar component in Arabic culture.

<template>
  <div id="app">
    <div class='wrap'>
      <ejs-calendar id='calendar' locale='ar' enableRtl='true'></ejs-calendar>
    </div>
  </div>
</template>
<script setup>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { CalendarComponent as EjsCalendar } from "@syncfusion/ej2-vue-calendars";
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';


loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
  'ar': {
    'calendar': { today: "اليوم" }
  }
});

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrap {
  margin: 0px auto;
  width: 240px;
}
</style>
<template>
  <div id="app">
        <div class='wrap'>
           <ejs-calendar id='calendar' locale='ar' enableRtl='true'></ejs-calendar>
        </div>
  </div>
</template>
<script>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { CalendarComponent } from "@syncfusion/ej2-vue-calendars";
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';


loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
    'ar': {
      'calendar': {  today: "اليوم"}
    }
});
export default {
name: "App",
components: {
"ejs-calendar":CalendarComponent,

},
}
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
 .wrap {
    margin: 0px auto;
    width: 240px;
}
</style>